interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 11459 characters]
    headers:
      CF-RAY: [2c3f63bfe8dc103d-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7682']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 17:24:49 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=ddc20693d0534d0ba036f91f443edde4f1468776289; expires=Mon,
          17-Jul-17 17:24:49 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=ALS7WXc178WrfQEvHg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:49
          GMT; secure', 'loidcreated=2016-07-17T17%3A24%3A49.567Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:49 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['__cfduid=ddc20693d0534d0ba036f91f443edde4f1468776289; expires=Mon,
          17-Jul-17 17:24:49 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=ALS7WXc178WrfQEvHg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:49
          GMT; secure', 'loidcreated=2016-07-17T17%3A24%3A49.567Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:49 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=fv%2BP0Pot1n1BeU39ktRTBTdwo4Xp8kIRdHEZkUSFN12uKtGhiNUsTZSHt6DMqsb6v040YjEtYQQ%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: refresh_token=**********&grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['121']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [loidcreated=2016-07-17T17%3A24%3A49.567Z; loid=ALS7WXc178WrfQEvHg;
          __cfduid=ddc20693d0534d0ba036f91f443edde4f1468776289]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMwWrDMBAFf2XROQbTQkl6K6a9JYeSQG5Clh7tNtgSu2thp/Tfi9rTg2HmfbsQ
        I1S95Rtm90zu/TwcyuWK0nfz0N39Kq8PX3V/tLcXtyP353nbCpo8Igik8YTKEZ5Tw6c8o0GshQXq
        uT0/PvX9jpzG/N8isdEnq2XZiBNmY9to2nQZBSmxKRXhGgwTVMMHlAQhkaBkMdJQQbqME1sbjcIj
        qGaD+/kFK20pEdYAAAA=
    headers:
      CF-RAY: [2c3f63cc568914fd-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 17:24:51 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.4.0 Python/3.5.1 b'Linux-4.6.2-1-ARCH-x86_64-with-arch']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAGW/i1cC/31U23KcMAz9lQzPnU42yXa3/RmNMIJ1MTYj22xoJv9eiWWDaSZ9A+tIOjq6vFU2
        Ag2jCzNR9euhRRfp20N1wQgDWlc8eRwUUaX5N/aVPBgmTNTI2+FwPp4PL6fn0/dHdbYNQcthAA51
        SLEIItlijiP5ZnG8P6+hICezhjudjz/v4ZRLaP7l46zvoUceUF00toeakv59hA3DQD5tKIW1kioz
        Kas38ZEwBHbAjmBkmixdI7jQdcIm5CSgxFljMXU2JmJRS3hA68IVEkVFvFUTskWv35W+Qcchj6oR
        vY7EdiFhteCn5/eF+kRwwVF0sL4DH65bHmwi8SR5mMbASeyb7b9srd+Ajjo0M0RCNhdFtpttCLV1
        BFeqISF3tE+BzR/iHpogrBIkRtNvxpis6WdYZVUFV0MeO0Zpugmht4u0WzWAOQWpps1eFdgZTLKh
        oG2HLjN0tpVAXjSIO6toiV6I0bRPTnnNC2Nw1sybpQ1sROiUxgK+1u8xaRdq9J54s35V+OwoXohS
        1PQ8Xy/Eug2rXSalDlIfGCHQL877xi0dy7JmUvf27Om6dk9m16C5fC5hIS/qNZbJFOMYZWXI6wB8
        0mPEHAl2ibpl4KKwlz7twErhNmnQWBQypVC4CrGrJeZa6DQ2AWdX9jrJnIsQn6WOlHTICsMsuFyL
        xTCOpfwoEzHZpKPLk5XmXdmmQuiPeaLXROU8jUHWjoZ6OSt3sABvQwODCIiwUV8plYFrF0x/X+mv
        6MiduifQRQ66qIfz5iD3rQuu4GCX21UVF1B/qicc/EkPhKKlmNEyrrtwOJ5/PJ5fHl+OivZ1eJXx
        zstxuV9DyWpbKzu/3KIi+BLN3GpUudXhdm91lYo866X12bn3v94SvBcEBgAA
    headers:
      CF-RAY: [2c3f63d90f5c3c23-CDG]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['672']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Sun, 17 Jul 2016 17:24:53 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d198db1009e560138073fccaf7e765bb11468776293; expires=Mon,
          17-Jul-17 17:24:53 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=lcFrUinnqm4XXHOgqx;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:53
          GMT; secure', 'loidcreated=2016-07-17T17%3A24%3A53.347Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:53 GMT; secure']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['__cfduid=d198db1009e560138073fccaf7e765bb11468776293; expires=Mon,
          17-Jul-17 17:24:53 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=lcFrUinnqm4XXHOgqx;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:53
          GMT; secure', 'loidcreated=2016-07-17T17%3A24%3A53.347Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Tue, 17-Jul-2018 17:24:53 GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['598.0']
      x-ratelimit-reset: ['307']
      x-ratelimit-used: ['2']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
